      program save
      implicit none
      common/constantes/pi,gravite
      real pi,gravite,degres
      integer ierr,i

      character*8 reponse

      do i=1,100
         print*,'Entrer un angle en degres autre chose pour finir'
         read(*,'(a8)') reponse
         read(reponse,*) degres
         call sin_deg(degres)
      enddo


      end

      subroutine sin_deg(x)
      implicit none
      logical premier_appel
      save premier_appel
      data premier_appel/.true./
      real pi,x
      save pi

      if (premier_appel) then
         pi=2.*asin(1.)
         print*,'On a calcule la constante pi=',pi
         premier_appel=.false.
      endif

      print*,'SIN(',x,')=',sin(pi*x/180.)

      return
      end
